Subject: [Gen-art] Gen-ART Last Call review of draft-ietf-bess-mvpn-bidir-ingress-replication-02

From: Brian E Carpenter <[email-masked]>
Date: Wed, 30 Sep 2015 15:50:14 +1300

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-ietf-bess-mvpn-bidir-ingress-replication-02.txt
Reviewer: Brian Carpenter
Review Date: 2015-09-30
IETF LC End Date: 2015-10-08
IESG Telechat date:

Summary: Ready with issues
--------

Comments:
---------

According to the writeup:
"Good consensus among a solid although small set of contributors
(two vendors on the draft and a third vendor supporting the proposal)."
I wonder if that really means "Nobody else cares." Going back in the
bess and l3vpn mail archives, I only found one significant technical
discussion (on the original individual draft version).

The AD Review asks for a number of changes. To be frank, it's a bit annoying
to be asked to do a review of a draft that will change during the Last Call.

All that said, I didn't identify any protocol issues and it seems like
a reasonable solution.

Major Issues:
-------------

>  This document
>  describes how the MP2MP tunnel can be simulated with a mesh of P2MP
>  tunnels, each of which is instantiated by Ingress Replication
>  [I-D.ietf-bess-ir]

You can't understand the current document without consulting ietf-bess-ir.
For example, there are numerous instances of the phrase "IR P-tunnel" which
is defined by ietf-bess-ir. IMHO, it's therefore a normative reference.

> The label may be shared
> with other P-tunnels, subject to the anti-ambiguity rules for
> extranet [I-D.ietf-bess-mvpn-extranet].

This or similar words appear several times. An implementer cannot implement
the current document without consulting ietf-bess-mvpn-extranet. IMHO, it's
therefore a normative reference.

Minor Issues:
-------------

> These specifications update RFC 6514.

Is that actually true? Or is it just an *extension* of RFC 6514, which
doesn't merit a formal "Updates: 6514"? [In other words, will anything bad
happen if an implementation of RFC 6514 doesn't add this?]

> 1.  Introduction
>
>   Section 11.2 of RFC 6513, "Partitioned Sets of PEs", describes two
>   methods of carrying bidirectional C-flow traffic over a provider core
>   without using the core as RPL or requiring Designated Forwarder
>   election.

Which RPL is that? Propbably not RFC6550. Whatever it means, it needs
to be expanded when first used.

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Wed, 30 Sep 2015 04:09:31 +0000

On 9/29/15, 9:50 PM, "Brian E Carpenter" <[email-masked]>
wrote:

>to be asked to do a review of a draft that will change during the Last

Yes, I apologize.  The authors had the revision ready on Sep/25, but it
wasn¹t submitted. :-(

Thanks!

Alvaro.

---

From: <[email-masked]>
Date: Wed, 30 Sep 2015 09:49:21 +0200

Hi Brian,

> discussion (on the original individual draft version).

As doc shepherd, let me explain why I wrote this.

The draft addresses a niche of a niche of a niche, at the crossroads of 
IP multicast and BGP VPNs, for a specific way of carrying over an MPLS 
backbone a very particular flavor of IP multicast.

It does not mean nobody cares. The proposal is relevant, but it happens 
that it addresses a niche^3 of a technology that very few contributors 
master.

> is defined by ietf-bess-ir. IMHO, it's therefore a normative reference.

We have discussed, and I believe resolved, this issue with Alvaro.
The right reference for ingress replication is RFC6513, rather than 
I-D.ietf-bess-ir which merely updates the material related to ingress 
replication in RFC6513/RFC6514.

> therefore a normative reference.

This spec is standalone and can be implemented without knowing about 
I-D.ietf-bess-mvpn-extranet. We'll work on reformulating the text to 
make that clear.

> Minor Issues:

Correct.
(It is the Bidir-PIM Rendez-vous Point Link, RFC5015).

Best,

-Thomas

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 30 Sep 2015 17:56:52 +0000

I am the one to blame. Alvaro had all the reasons to believe I'd addressed his comments (I shared a diff), but then I had a second thought one issue and did not continue with the submission.

I have now submitted a new revision:

URL:            https://www.ietf.org/internet-drafts/draft-ietf-bess-mvpn-bidir-ingress-replication-03.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-bess-mvpn-bidir-ingress-replication/
Htmlized:       https://tools.ietf.org/html/draft-ietf-bess-mvpn-bidir-ingress-replication-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-bess-mvpn-bidir-ingress-replication-03

Thanks!
Jeffrey

> -----Original Message-----
> From: Alvaro Retana (aretana) [mailto:[email-masked]]
> Sent: Wednesday, September 30, 2015 12:10 AM
> To: Brian E Carpenter <[email-masked]>; draft-ietf-bess-mvpn-
> [email-masked]; General Area Review Team <gen-
> [email-masked]>
> Subject: Re: Gen-ART Last Call review of draft-ietf-bess-mvpn-bidir-
> ingress-replication-02
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 1 Oct 2015 08:13:21 +1300

OK, thanks. I think that those updates take care of most things for me.

I still think that this is not really an *update* to RFC 6514; it's
an alternative solution. But that's a minor issue, so when I am asked to
re-review this for the telechat I will rate it "Ready".

BTW I got a horrible bounce message from the Juniper mail system, as it
seems that Yakov's address fails.

Regards
   Brian